### Method

# Adw SidebarItem set_tooltip

since: 1.9

#### Declaration [src]

    void
    adw_sidebar_item_set_tooltip (
      AdwSidebarItem* self,
      const char* tooltip
    )

#### Description [src]

Sets the tooltip of `self`.

The tooltip can be marked up with the Pango text markup language.

Available since: 1.9

Sets property | `Adw.SidebarItem:tooltip`

#### Parameters

`tooltip`

  Type: `const char*`

  The tooltip.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.